Get token owners by contract
curl --request GET \
--url https://data-api.b3.fun/insights/v1/tokens/ownersimport requests
url = "https://data-api.b3.fun/insights/v1/tokens/owners"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-api.b3.fun/insights/v1/tokens/owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"chain_id": "<string>",
"token_address": "vitalik.eth",
"owner_address": "vitalik.eth",
"balance": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}insights/tokens
Get token owners by contract
Get token owners for specific contract
GET
/
insights
/
v1
/
tokens
/
owners
Get token owners by contract
Path Parameters
Example:
"vitalik.eth"
Query Parameters
Use chain_id instead
Example:
[20, 56, 1]
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., ?chain_id=20&chain_id=56. Optional, because a single chain can as well be specified as a subdomain
Example:
[20, 56, 1]
The number of items to return
Required range:
0 < x <= 1000Example:
20
Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.
Required range:
x >= 0Example:
0
Response
Success
Show child attributes
Show child attributes
HypeDuel